<?php
/* Copyright (c) 2011 Synology Inc. All rights reserved. */
class SynoDLMSearchISOHunt {
	private $qurl = 'http://isohunt.com/js/json.php?sort=seeds&ihq=';
	public function __construct() {
	}
	public function prepare($curl, $query) {
		$url = $this->qurl . urlencode($query);
		curl_setopt($curl, CURLOPT_URL, $url);
	}
	
	public function parse($plugin, $response) {
		$json = json_decode($response, TRUE);
		if(!is_null($json)) {
			$items = $json['items'];
			$total = $plugin->addJsonResults($items, 'list', 
					array(
						'title' => 'title',
						'download' => 'enclosure_url',
						'hash' => 'hash',
						'size' => 'size',
						'page' => 'link',
						'date' => 'pubDate',
						'seeds' => 'Seeds',
						'leechs' => 'leechers',
						'category' => 'category'
					));
		}
		return $total;
		
	}
}


?>
